# Return all domains' hosting configuration

This function lists user data for the cPanel account's domains.

Note:

This function retrieves data from the /var/cpanel/userdata/user/domain file, where user
represents the cPanel account username and domain represents the domain. For this reason,
actual output may not contain all of the returns that this document lists.

Endpoint: GET /DomainInfo/domains_data
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `format` (string)
    The function's return format.

* hash — Use a hash format. The function will return objects based on the domain type.
* list — Use a list format. The function will return an array of objects, where each object is a domain.
    Enum: "hash", "list"

  - `hide_temporary_domains` (integer)
    Whether to hide temporary domains from the response arrays.

* 1 — Hide temporary domains from addon_domains, sub_domains, and parked_domains arrays.
* 0 — Return all domains, including the temporary domains.
    Enum: 1, 0

  - `return_https_redirects_status` (integer)
    Whether to return the secure redirect status of the addon domains.

* 1 — Return the status.
* 0 — Do not return the status.
    Enum: 1, 0

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "domains_data"

  - `module` (string)
    The name of the module called.
    Example: "DomainInfo"

  - `result` (object)

  - `result.data` (any)
    An object containing information about a cPanel account's domains. The output of this function changes, based on the format parameter value.

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


